package ij.gui;

import java.awt.event.ActionEvent;

import javax.swing.JFrame;

/** This is an xtension of GenericDialog that is non-model.
 *	@author Johannes Schindelin
 */
public class NonBlockingGenericDialog extends GenericDialog {
	public NonBlockingGenericDialog(String title) {
		super(title);
		setModal(false);
	}

        public NonBlockingGenericDialog(String title, JFrame frame) {
                super(title, frame);
                setModal(false);
        }
	public synchronized void showDialog() {
		super.showDialog();
		try {
			wait();
		} catch (InterruptedException e) { }
	}

	public synchronized void actionPerformed(ActionEvent e) {
		super.actionPerformed(e);
		if (wasOKed() || wasCanceled())
			notify();
	}
}
